let APP_SERVER_URL = "";
if (process.env.NODE_ENV === "development") {
  // 开发环境
  APP_SERVER_URL = "/api";
} else {
  // 生产环境
  //APP_SERVER_URL = 'http://cloud.jeeplus.org/api'
  // APP_SERVER_URL = 'http://192.168.2.131/api'
  // APP_SERVER_URL = "http://cpaoa.xgccpm.com/api";
    const host = window.location.hostname;
    if (host === "cpaoa.xgccpm.com") {
        console.log("cpaoa.xgccpm.com")
      APP_SERVER_URL = "http://cpaoa.xgccpm.com/api";
    } else if (host === "cpapmis.xgccpm.com") {
        console.log("cpapmis.xgccpm.com")
      APP_SERVER_URL = "http://cpapmis.xgccpm.com/api";
    } else if (host === "amc.xgccpm.com") {
        console.log("amc.xgccpm.com")
      APP_SERVER_URL = "http://amc.xgccpm.com/api";
    } else if (host === "zs.xgccpm.com") {
        console.log("zs.xgccpm.com")
      APP_SERVER_URL = "http://zs.xgccpm.com/api";
    } else if (host === "wz.xgccpm.com") {
        console.log("wz.xgccpm.com")
      APP_SERVER_URL = "http://wz.xgccpm.com/api";
    } else if (host === "sz.xgccpm.com") {
        console.log("sz.xgccpm.com")
      APP_SERVER_URL = "http://sz.xgccpm.com/api";
    } else if (host === "jct.xgccpm.com") {
        console.log("jct.xgccpm.com")
      APP_SERVER_URL = "http://jct.xgccpm.com/api";
    }
}

APP_SERVER_URL = APP_SERVER_URL;

export default APP_SERVER_URL;
